Subject: [bitcoindev] Re: The Future of Bitcoin Testnet

From: emsit <[email-masked]>
Date: Mon, 1 Apr 2024 12:22:31 -0700 (PDT)

I had to get involved because when I saw the pull request to reset 
testnet3, I was horrified.
Resetting testnet3 without considering the impact after 13 years of use 
seems like a very bad and drastic step. As you wrote, testnet3 has been 
here for 13 years, it's not possible to kill it overnight.
It will require a transitional phase and announcement so that developers 
have enough time to react. So the BTC client will have the option of both 
testnet3 and testnet4.
Yes, mining is demanding, it's a pity it went so far... People won't want 
to give up their testnet3 coins, including me!!!

How will new users earn testnet4? Will they launch a full node and buy an 
ASIC miner? Faucets will stop working for a while, and most faucets will 
cease to exist. As long as obtaining testnet coins is not easy and in 
sufficient quantity, there will always be a small market. Or will it simply 
deviate from the mainnet, and the reward be more generous? (I lean towards 
this idea, to keep the block reward from decreasing and having an unlimited 
amount, when there is a lot of it, it will not be rare and will not have 
value. Or will it reset every year or two so it doesn't have enough time to 
become valuable?)

Dátum: nedeľa 31. marca 2024, čas: 15:24:34 UTC+2, odosielateľ: Jameson Lopp

> Hi all,
>
> I'd like to open a discussion about testnet3 to put out some feelers on 
> potential changes to it. First, a few facts:
>
> 1. Testnet3 has been running for 13 years. It's on block 2.5 million 
> something and the block reward is down to ~0.014 TBTC, so mining is not 
> doing a great job at distributing testnet coins any more.
>
> 2. The reason the block height is insanely high is due to a rather amusing 
> edge case bug that causes the difficulty to regularly get reset to 1, which 
> causes a bit of havoc. If you want a deep dive into the quirk: 
> https://blog.lopp.net/the-block-storms-of-bitcoins-testnet/
>
> 3. Testnet3 is being actively used for scammy airdrops; those of us who 
> tend to be generous with our testnet coins are getting hounded by 
> non-developers chasing cheap gains.
>
> 4. As a result, TBTC is being actively bought and sold; one could argue 
> that the fundamental principle of testnet coins having no value has been 
> broken.
>
> This leads me to ponder the following questions, for which I'm soliciting 
> feedback.
>
> 1. Should we plan for a reset of testnet? If so, given how long it has 
> been since the last reset and how many production systems will need to be 
> updated, would a reset need to be done with a great deal of notice?
>
> 2. Is there interest in fixing the difficulty reset bug? It should be a 
> one liner fix, and I'd argue it could be done sooner rather than later, and 
> orthogonal to the network reset question. Would such a change, which would 
> technically be a hard fork (but also arguably a self resolving fork due to 
> the difficulty dynamics) necessitate a BIP or could we just YOLO it?
>
> 3. Is all of the above a waste of time and we should instead deprecate 
> testnet in favor of signet?
>
> - Jameson
>

-- 
You received this message because you are subscribed to the Google Groups "Bitcoin Development Mailing List" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [email-masked].
To view this discussion on the web visit https://groups.google.com/d/msgid/bitcoindev/e9c98c9c-6a61-4cc6-9efb-9ea2ca9a76f0n%40googlegroups.com.